# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Python1
# FileName:      db.py
# Author:       chenyao
# Datetime:     2025/3/12 20:22
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql
from requests import delete

from Auto_TestV4 import log_decorator
from Auto_TestV4.commom.read_ini import ReadIni



class DB:
    @log_decorator
    def __init__(self):
        ini=ReadIni()
        self.conn=pymysql.connect(
            host=ini.get_sql_conn("host"),
            port=int(ini.get_sql_conn("port")),
            user=ini.get_sql_conn("user"),
            password=ini.get_sql_conn("password"),
            database=ini.get_sql_conn("database"),
            charset="utf8"
        )
        self.curosr=self.conn.cursor()
    @log_decorator
    def delete_method(self,delete_sql):
        if isinstance(delete_sql,str) and  delete_sql.lower().startswith("delete"):
            self.curosr.execute(delete_sql)
            self.conn.commit()
        else:
            raise ValueError("删除的sql语句出错")
    @log_decorator
    def select_method(self,select_sql):
        if isinstance(select_sql,str) and select_sql.lower().startswith("select"):
            self.curosr.execute(select_sql)
            select_result=self.curosr.fetchall()
            if select_result:
                return select_result[0][0]
        else:
            raise ValueError("执行的sql语句错误")

