# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Python1
# FileName:      read_ini.py
# Author:       chenyao
# Datetime:     2025/3/12 18:23
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from Auto_TestV4 import log_decorator


class ReadIni:
    def __init__(self):
        self.dir_path=os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        self.ini_path=os.path.join(self.dir_path,"config.ini")
        self.conf=configparser.ConfigParser()
        self.conf.read(self.ini_path,encoding="utf-8")
        print(self.ini_path)
    @log_decorator
    def get_file_path(self,key):
        """获取文件路径"""
        file_path=self.conf.get("file",key)
        return os.path.join(self.dir_path,file_path)
    @log_decorator
    def get_table_name(self,key):
        """获取工作表名字"""
        return self.conf.get("table",key)
    @log_decorator
    def get_server_value(self,key):
        """获取服务器信息"""
        return self.conf.get("server",key)
    @log_decorator
    def get_sql_conn(self,key):
        """获取数据库连接信息"""
        return self.conf.get("MySql",key)


if __name__ == '__main__':
    ini=ReadIni()
    print(ini.get_file_path("excel"))
    print(ini.get_table_name("tablename"))
    print(ini.get_server_value("host"))
    print(ini.get_sql_conn("host"))